Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232615 - Review Request: perl-Mail-RFC822-Address - Perl extension for validating email addresses according to RFC822
Summary: Review Request: perl-Mail-RFC822-Address - Perl extension for validating emai...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:20 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 16:43:57 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:20:57 UTC
Spec URL: http://home.bawue.de/~ixs/perl-Mail-RFC822-Address/perl-Mail-RFC822-Address.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Mail-RFC822-Address/perl-Mail-RFC822-Address-0.3-1.src.rpm
Description:
Mail::RFC822::Address validates email addresses against the grammar
described in RFC 822 using regular expressions. The only sure way to see
if a supplied email address is genuine is to send an email to it and see
if the user recieves it. This package only checks that the email address
is syntactically valid.

Comment 1 Parag AN(पराग) 2007-03-23 06:47:31 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0bd88b2ffedd95a4a920053fd6d0b709  Mail-RFC822-Address-0.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is Successful.
+ Provides: perl(Mail::RFC822::Address) = 0.3
APPROVED.
                                      

Comment 2 Andreas Thienemann 2007-03-23 09:58:36 UTC
New Package CVS Request
=======================
Package Name: perl-Mail-RFC822-Address
Short Description: Perl extension for validating addresses according to RFC822
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 16:43:57 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.